pangomm 2.28.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
Pango::LayoutLineTraits Struct Reference

List of all members.

## Public Types
typedef Glib::RefPtr< LayoutLine > | CppType
typedef PangoLayoutLine* | CType
typedef PangoLayoutLine* | CTypeNonConst
## Static Public Member Functions
static CType | to_c_type (const CppType& ptr)
static CType | to_c_type (CType ptr)
static CppType | to_cpp_type (CType ptr)
static void | release_c_type (CType ptr)

## Member Typedef Documentation

typedef Glib::RefPtr<LayoutLine> Pango::LayoutLineTraits::CppType

typedef PangoLayoutLine* Pango::LayoutLineTraits::CType

typedef PangoLayoutLine* Pango::LayoutLineTraits::CTypeNonConst

## Member Function Documentation

static void Pango::LayoutLineTraits::release_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::LayoutLineTraits::to_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Pango::LayoutLineTraits::to_c_type | ( | const CppType & | ptr | ) | `[inline, static]`

static CppType Pango::LayoutLineTraits::to_cpp_type | ( | CType | ptr | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- pangomm/layoutline.h